[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIndexDefs.Find

Find an index by name

## Declaration

Source position: db.pas line 1021

`public function TIndexDefs.Find(`
`const IndexName: string`
`):TIndexDef;`

## Arguments

`IndexName` |  | Index name to search for.

## Function result

TIndexDef instance with name IndexName or Nil

## Description

Find overloads the TDefCollection.Find method to search and return a TIndexDef instance based on the name. The search is case-insensitive and raises an exception if no matching index definition was found. Note: TIndexDefs.IndexOf can be used instead if an exception is not desired.

## See also

TIndexDef |  | Index definition
TDefCollection.Find |  | Find an item by name
TIndexDefs.FindIndexForFields |  | Find index definition based on field names

Documentation generated on: Feb 26 2014